Subject: [bug#70985] [PATCH 0/4] Use specific errors for unsupported targets

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 May 2024 17:16:59 +0200

Christopher Baines <[email-masked]> writes:

> I think when computing derivations any errors except from a small list
> should be treated as bugs.
>
> This has become more of an issue with the avr, or1k-elf and
> xtensa-ath9k-elf targets since these targets both seem to not support a
> large number of packages, and lead to generic errors or crashes.
>
> I'm seeing this because logs relating to errors computing package
> derivations are now taking up most of the data service logs around
> processing revisions.

Looks to me like a much welcome improvement, modulo the minor issues I
commented on.  Thanks!

Ludo'.